pmc.test <-
function(data, alpha = 0.05, perd = 24){
  
  if(!all(c("PR","Mesor", "Amp", "PHI") %in% colnames(data))){
    stop("data does not contain required variables ('PR','Mesor', 'Amp', 'PHI')")
  }
  
  rytpar <- matrix(0, nrow = 6, ncol = 13)
  sig <- matrix(0, nrow = 3, ncol = 3)   
  
  k <- nrow(data)
  
  out <- cpp_bmpop(data, sig, rytpar, 
                   alpha, k, perd)
  
  result <- out$rytpar[1,]
  result <- result[-8]
  names(result) <- c(
    "Period","P.R.","P",
    "Amplitude", "Acrophase", "Amplitude CI Lower","Amplitude CI Upper",
    "Acrophase CI Lower","Acrophase CI Upper","Mesor","Mesor CI","k")
  
  return(result)   
}
